package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.PontoDeEntregaFlows;
import com.javaseleniumtemplate.pages.PontoDeEntregaPage;
import org.testng.Assert;
import org.testng.annotations.Test;

public class PontoDeEntregaTests extends TestBase {
    PontoDeEntregaFlows pontoDeEntregaFlows;
    PontoDeEntregaPage pontoDeEntregaPage;
    LoginFlows loginFlows;

    @Test
    public void cadastraPontoEntrega(){

    pontoDeEntregaFlows = new PontoDeEntregaFlows();
    pontoDeEntregaPage = new PontoDeEntregaPage();
    loginFlows = new LoginFlows();

    String CDFILIAL = "0002";
    String CDPONTOENTREGA = "002";
    String NMPONTOENTREGA = "TEKNISA";
    String ENDEPONTOENTREGA = "RUA PERNAMBUCO 1000";


        loginFlows.efetuarLogin();
        pontoDeEntregaFlows.navegaPontoDeEntrega();
        pontoDeEntregaPage.dadosPontoEntrega(CDFILIAL,CDPONTOENTREGA,NMPONTOENTREGA,ENDEPONTOENTREGA);

        // validando se o cadastro foi realizado com sucesso.
        Assert.assertTrue(pontoDeEntregaPage.validaCadastro().contains(CDPONTOENTREGA));
        pontoDeEntregaFlows.alteraPontoDeEntrega();
        pontoDeEntregaFlows.excluirPontoDeEntrega();
    }

}
